package com.zcloud.mapper.datasource.corp;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：企业类型
 * 作者：shaojie
 * 时间：2021-03-18
 * 官网：www.qdkjchina.com
 */
public interface CorpTypeMapper{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	List<PageData> corptypelist(PageData pd);
	//
	List<PageData> nextcorptypelist(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);

	List<PageData> listAllByParentId(PageData pd);
    List<PageData> listMentDictionByPId(String PARENT_ID);
    /**
     * 根据企业id获取对应的企业类型
     * @param pd
     * @return
     * @throws Exception
     */
    List<PageData> listByCorpInfoTypeIds (PageData pd);

	List<PageData> listAllChild(PageData pd);

}

